Bug 444699 - djview plugin uses all cpu while downloading
djview plugin uses all cpu while downloading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: djvulibre (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 02:09 EDT by John Smith
Modified: 2010-12-05 02:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:11:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Smith 2008-04-30 02:09:32 EDT
Description of problem:
If you open a djvu file on the web (with firefox, say) and display it with
the djview program, you have the option of saving the file ("Save Document As"
in the pop-up menu).  You can choose to save the file before the file is
completely loaded in djview.  In this case djview opens a window which
says "Please wait while the file is being downloaded...", with a progress
bar.  At that point, and until the download is complete, djview uses too
much CPU (just for downloading the file it takes 100% of the cpu according
to top).  This is annoying for a variety of reasons.


Version-Release number of selected component (if applicable):
djvulibre-3.5.19-4.fc8


How reproducible:
Fully reproducible.

Steps to Reproduce:
1. Load a large djvu file in firefox ("large" in comparison with the connection
speed).
2. Save it (as a bundled document) before it is fully loaded.
3. While it is being downloaded run "top".
  
Actual results:
djview uses 100% cpu power.

Expected results:
djview uses a small amount of cpu power.  Downloading a file should
not be cpu intensive.
Comment 1 Bug Zapper 2008-11-26 05:36:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:27:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 John Smith 2009-01-13 15:50:31 EST
The exact same problem is still present in up to date Fedora 10.  Note that the browser plugin is now in a separate subpackage, djvulibre-mozplugin, which therefore needs to be installed before the bug can be witnessed.
Comment 4 Fedora Admin XMLRPC Client 2009-04-12 14:42:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2009-11-18 07:29:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:07:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 John Smith 2010-03-10 17:27:40 EST
Same problem in up to date Fedora 12.  (See also comment number 3.)
Comment 8 Rakesh Pandit 2010-05-17 02:47:36 EDT
(In reply to comment #7)
> Same problem in up to date Fedora 12.  (See also comment number 3.)    

John,

Can you point me to any file for testing purpose ?

Regards,
Rakesh Pandit
Comment 9 John Smith 2010-05-20 14:44:57 EDT
For testing purposes the following URL can be used:

http://www.leoyan.com/djvu-editions.com/BIBLES/KJV/Download.djvu
Comment 10 Rakesh Pandit 2010-05-28 04:57:22 EDT
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 8602 rakesh    20   0  336m  15m 7192 S  0.3  0.4   0:02.30 djview             

On my system it is using 0.3-0.7-1.0 and now continuing for 1.0 for long ?
Comment 11 John Smith 2010-05-29 14:51:07 EDT
I do confirm the bug on my system.  I get:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
24611 john      20   0 48004  12m 7212 R 99.2  1.2   0:19.28 djview

Again, the problem only appears after one tries to save the document in bundled format before it is fully downloaded (and until the download is complete).  Concretely: load the URL, then right-click, "Save Document As...", "Bundled", "OK", then a progress bar pops up ("Please wait while the file is being downloaded"), then run top.

I am using firefox-3.5.9-2.fc12.i686, djvulibre-3.5.21-3.fc12.i686 and djvulibre-mozplugin-3.5.21-3.fc12.i686.
Comment 12 Bug Zapper 2010-11-04 07:55:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:11:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.